Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 77226

Summary: Yelp won't load Gnome help docs after system crash
Product: [Retired] Red Hat Linux Reporter: Clinton Gormley <clint>
Component: scrollkeeperAssignee: Matthew Barnes <mbarnes>
Status: CLOSED CANTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: mitr
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-18 16:41:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Clinton Gormley 2002-11-03 17:55:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021018

Description of problem:
Yelp won't load Gnome help docs after system crash.

If my system dies unexpectedly while I have help docs open in yelp then, once
I've rebooted, if I try to look at the Gnome help docs (ie Main Menu->Help),
then I only see the info and man page sections, and not the Gnome desktop help
sections.

This can be rectified by deleting the scrollkeeper files in /tmp.

There should be some way to detect this problem and to rectify it without user
intervention.

Version-yelp-1.0.2


How reproducible:
Always

Steps to Reproduce:
1.Open help
2.Kill the power
3.Reboot and try to open help again -->fails
4.Delete scrollkeeper files in /tmp
5.Open help again-->succeeds
	

Actual Results:  Failed to open the Gnome desktop help sections until I had
deleted the scrollkeeper temp files in /tmp

Additional info:

Comment 1 Alexander Larsson 2002-11-05 12:17:57 UTC
It's probably the silly max five tempfiles, no cleanup scrollkeeper issue. It
needs to be fixed.

Comment 2 Bill Nottingham 2006-08-07 19:19:30 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.

Comment 3 Bill Nottingham 2006-10-18 16:41:29 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.